| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_I2C.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_I2C_GetVersion (void)
| Get driver version.
ARM_I2C_CAPABILITIES | ARM_I2C_GetCapabilities (void)
| Get driver capabilities.
int32_t | ARM_I2C_Initialize (ARM_I2C_SignalEvent_t cb_event)
| Initialize I2C Interface.
int32_t | ARM_I2C_Uninitialize (void)
| De-initialize I2C Interface.
int32_t | ARM_I2C_PowerControl (ARM_POWER_STATE state)
| Control I2C Interface Power.
int32_t | ARM_I2C_MasterTransmit (uint32_t addr, const uint8_t *data, uint32_t num, bool xfer_pending)
| Start transmitting data as I2C Master.
int32_t | ARM_I2C_MasterReceive (uint32_t addr, uint8_t *data, uint32_t num, bool xfer_pending)
| Start receiving data as I2C Master.
int32_t | ARM_I2C_SlaveTransmit (const uint8_t *data, uint32_t num)
| Start transmitting data as I2C Slave.
int32_t | ARM_I2C_SlaveReceive (uint8_t *data, uint32_t num)
| Start receiving data as I2C Slave.
int32_t | ARM_I2C_GetDataCount (void)
| Get transferred data count.
int32_t | ARM_I2C_Control (uint32_t control, uint32_t arg)
| Control I2C Interface.
ARM_I2C_STATUS | ARM_I2C_GetStatus (void)
| Get I2C status.
void | ARM_I2C_SignalEvent (uint32_t event)
| Signal I2C Events.